Apply Shipping Method

Set the shipping method for each bag within a cart. By passing in an array of Objects containing the bag id and associated shipping id.

Note: For more information on this endpoint go to Set Shipping Methods

Once you have all the available shipping methods for the bags within the cart, you can select and apply them to the cart.

Note: Your bag_id and cart_id will be different from the example you have been following so far. Please update the calls with your information.

Set Shipping Methods

post
Path parameters
cart_idinteger · int64Required
Query parameters
price_cartbooleanOptionalDefault: true
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Bodyobject[]

Shipping Method applied to a Bag

bag_idinteger · int64Optional

The ID of the bag the Shipping Method belongs to

shipping_method_idstringOptional

ID of the Shipping Method

shipping_method_labelstringOptional

Label of the Shipping Method

shipping_method_priceinteger · int32Optional

Price of the Shipping Method

custombooleanOptional

Is the shipping method custom. True when the price has been overridden.

Responses
chevron-right
200

success

application/json

Violet Order Entity

idinteger · int64Read-onlyOptional

ID of the Violet cart or order.

tokenstringRead-onlyOptionalDeprecated

An alternative UUID that can be used as an ID to reference the cart or order.

user_idinteger · int64OptionalDeprecated

ID of the User placing the order

app_idinteger · int32Optional

ID of the App responsible for the creation and submission of this Order.

developer_idinteger · int32Optional

ID of the Developer responsible for the creation and submission of this Order.

sub_totalinteger · int32Optional

The price of the Order in the base currency before discounts, shipping, duties, taxes, and tips. In Cents.

Default: 0
shipping_totalinteger · int32Optional

The sum of all shipping methods applied to the Order in the base currency. In Cents.

Default: 0
tax_totalinteger · int32Optional

The sum of all the taxes applied to the Order in the base currency. In Cents.

Default: 0
discount_totalinteger · int32Optional

The total discounts applied to the price of the Order in the base currency. In Cents.

Default: 0
totalinteger · int32Optional

The sum of all item prices, discounts, shipping, and taxes applied to the Order in the base currency. In Cents.

Default: 0
app_customer_idstring · nullableOptional

App Customer ID. This should be used to map the order to the ID of the customer in your application.

app_order_idstring · nullableOptional

App Order ID. This should be set to a unique identifier in your system. While not enforced unique in Violet's system, it is strongly recommended that unique values are used for each cart to help correlate identifiers between Violet's system and yours.

statusstring · enumRead-onlyOptional

Status of the Order

Possible values:
is_guestbooleanRead-onlyOptional

Order is Guest

Default: true
date_createdstring · date-timeRead-onlyOptional

Date of order creation

date_last_modifiedstring · date-timeRead-onlyOptional

Indicates when the order was last modified. This timestamp is updated only when a property on the Order entity itself changes. Modifications to related entities (e.g., Bags) will not update this timestamp unless the change also triggers an update to the Order entity.

date_submittedstring · date-time · max: 24 · nullableRead-onlyOptional

Date the Order was last submitted in Violet. This value is captured immediately after the Order is successfully validated and before the nested Bag(s) are submitted to the external commerce platforms.

pricedbooleanRead-onlyOptional

Is the cart priced

Default: false
wallet_based_checkoutbooleanOptional

Is this cart going to be placed through wallet-based checkout

Default: false
currencystringOptional

Base currency of cart

Default: USD
referral_idstring · nullableOptional

Optional value used to represent an identifier in your system. This value is not required to represent a referral. It can represent the ID of anything in your system and can be used to filter order lookup results. Max length of 128 characters.

currency_symbolstringOptional

Symbol representing the currency the Order operates in.

app_namestringOptional

Name of app that originated the order. Use the "extended" query param when looking up orders to include this value.

stripe_keystringOptional

Stripe publishable key. Use for tokenizing payment methods.

payment_intent_client_secretstringOptional

Payment intent client secret. Use for payment intent based payment capture and external captures

guestbooleanOptional
order_statusstring · enumOptionalPossible values:
intent_based_checkoutbooleanOptional

Boolean indicating if the cart/order will be payed using a payment intent.

order_idinteger · int64Optional
post
/checkout/cart/{cart_id}/shipping

Last updated

Was this helpful?